Bug 145579 - CAN-2005-0077 perl-DBI insecure temporary file usage
CAN-2005-0077 perl-DBI insecure temporary file usage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DBI (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-19 16:23 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-16 08:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-19 16:23:39 EST
*** This bug has been split off bug 145577 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.19
16:14 -------

Javier Fernández-Sanguino Peña from the Debian Security Audit Project
discovered that the DBI library, the Perl5 database interface, creates
a tmporary file in an insecure manner.  This can be exploited by a
malicious user to overwrite arbitrary files owned by the person
executing the program.

This will be disclosed on Tuesday the 25th.

attachment 109991 [details] contains the proposed patch for this issue.
Comment 1 Jay Turner 2005-02-16 08:26:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-072.html

Note You need to log in before you can comment on or make changes to this bug.